---

 25-akpm/fs/nfs/write.c          |    4 ++--
 25-akpm/fs/ntfs/aops.c          |    4 ++--
 25-akpm/fs/reiserfs/inode.c     |    4 ++--
 25-akpm/fs/xfs/linux/xfs_aops.c |    2 +-
 25-akpm/mm/page-writeback.c     |    1 +
 5 files changed, 8 insertions(+), 7 deletions(-)

diff -puN fs/nfs/write.c~tag-writeback-pages-missing-filesystems fs/nfs/write.c
--- 25/fs/nfs/write.c~tag-writeback-pages-missing-filesystems	2004-03-17 03:07:09.462708192 -0800
+++ 25-akpm/fs/nfs/write.c	2004-03-17 03:07:09.471706824 -0800
@@ -924,7 +924,7 @@ static int nfs_flush_multi(struct list_h
 	atomic_set(&req->wb_complete, requests);
 
 	ClearPageError(page);
-	SetPageWriteback(page);
+	set_page_writeback(page);
 	offset = 0;
 	nbytes = req->wb_bytes;
 	do {
@@ -987,7 +987,7 @@ static int nfs_flush_one(struct list_hea
 		nfs_list_remove_request(req);
 		nfs_list_add_request(req, &data->pages);
 		ClearPageError(req->wb_page);
-		SetPageWriteback(req->wb_page);
+		set_page_writeback(req->wb_page);
 		*pages++ = req->wb_page;
 		count += req->wb_bytes;
 	}
diff -puN fs/ntfs/aops.c~tag-writeback-pages-missing-filesystems fs/ntfs/aops.c
--- 25/fs/ntfs/aops.c~tag-writeback-pages-missing-filesystems	2004-03-17 03:07:09.464707888 -0800
+++ 25-akpm/fs/ntfs/aops.c	2004-03-17 03:07:09.472706672 -0800
@@ -743,7 +743,7 @@ lock_retry_remap:
 	}
 
 	BUG_ON(PageWriteback(page));
-	SetPageWriteback(page);		/* Keeps try_to_free_buffers() away. */
+	set_page_writeback(page);	/* Keeps try_to_free_buffers() away. */
 	unlock_page(page);
 
 	/*
@@ -885,7 +885,7 @@ static int ntfs_writepage(struct page *p
 	// FIXME: Make sure it is ok to SetPageError() on unlocked page under
 	// writeback before doing the change!
 #if 0
-	SetPageWriteback(page);
+	set_page_writeback(page);
 	unlock_page(page);
 #endif
 
diff -puN fs/reiserfs/inode.c~tag-writeback-pages-missing-filesystems fs/reiserfs/inode.c
--- 25/fs/reiserfs/inode.c~tag-writeback-pages-missing-filesystems	2004-03-17 03:07:09.465707736 -0800
+++ 25-akpm/fs/reiserfs/inode.c	2004-03-17 03:07:09.474706368 -0800
@@ -2134,7 +2134,7 @@ static int reiserfs_write_full_page(stru
     } while(bh != head) ;
 
     BUG_ON(PageWriteback(page));
-    SetPageWriteback(page);
+    set_page_writeback(page);
     unlock_page(page);
 
     /*
@@ -2198,7 +2198,7 @@ fail:
     } while(bh != head);
     SetPageError(page);
     BUG_ON(PageWriteback(page));
-    SetPageWriteback(page);
+    set_page_writeback(page);
     unlock_page(page);
     do {
         struct buffer_head *next = bh->b_this_page;
diff -puN fs/xfs/linux/xfs_aops.c~tag-writeback-pages-missing-filesystems fs/xfs/linux/xfs_aops.c
--- 25/fs/xfs/linux/xfs_aops.c~tag-writeback-pages-missing-filesystems	2004-03-17 03:07:09.467707432 -0800
+++ 25-akpm/fs/xfs/linux/xfs_aops.c	2004-03-17 03:07:09.475706216 -0800
@@ -566,7 +566,7 @@ xfs_submit_page(
 	int			i;
 
 	BUG_ON(PageWriteback(page));
-	SetPageWriteback(page);
+	set_page_writeback(page);
 	clear_page_dirty(page);
 	unlock_page(page);
 
diff -puN mm/page-writeback.c~tag-writeback-pages-missing-filesystems mm/page-writeback.c
--- 25/mm/page-writeback.c~tag-writeback-pages-missing-filesystems	2004-03-17 03:07:09.468707280 -0800
+++ 25-akpm/mm/page-writeback.c	2004-03-17 03:08:02.662620576 -0800
@@ -691,3 +691,4 @@ int test_set_page_writeback(struct page 
 	return ret;
 
 }
+EXPORT_SYMBOL(test_set_page_writeback);

_
